import numpy as np


from tank import Tank

# Total duration (minutes).
T = 60 * 24 * 5
# Sampling interval (minutes).
dt = 30
time_steps = T // dt

TIMES = np.arange(0, T, dt)

CAPACITY = 2000
CAPACITY_INITIAL = CAPACITY / 4

# DEMAND_MIN = 5
# DEMAND_MAX = 12
# DEMAND_MIN = 0
# DEMAND_MAX = 0
# DEMAND_MIN = -6
# DEMAND_MAX = 6
DEMAND_MIN = -16
DEMAND_MAX = 7
PERIOD = 1440

DEMAND = DEMAND_MIN + (DEMAND_MAX - DEMAND_MIN) / 2 * (
    1 + np.sin(2 * np.pi * TIMES / PERIOD)
)
DEMAND = np.maximum(DEMAND, 0)

# Best Efficiency Point
IBEP = 2
OBEP = 20

INPUT_FLOW_MIN = 0
INPUT_FLOW_MAX = 5
OUTPUT_FLOW_MIN = 0
OUTPUT_FLOW_MAX = 50

tank = Tank(CAPACITY, CAPACITY_INITIAL)

# Objective function coefficients.
#
# - Change this to 1 in order to encourage complete filling of the tank.
WEIGHT_TANK_LEVEL = 0
#
WEIGHT_DEMAND = 100
